Skip to main content
DELETE
/
v1
/
youtube-suggestions
/
{id}
Delete a suggestion
curl --request DELETE \
  --url https://api.yalg.ai/v1/youtube-suggestions/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": "018f9f52-3661-7657-81c0-bf1d02a1a50e",
  "title": "How to turn stories into content",
  "url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ",
  "status": "new",
  "createdAt": "2026-06-20T17:24:39.000Z",
  "updatedAt": "2026-06-20T17:24:39.000Z"
}

Authorizations

x-api-key
string
header
default:yalg_live_your_api_key
required

YALG Developer API key. Send it in the x-api-key header from a server-side environment only.

Path Parameters

id
string
required

UUID of the suggestion to delete

Example:

"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"

Response

Suggestion deleted successfully

YouTube suggestion tracked by YALG.

id
string<uuid>

Suggestion identifier.

Example:

"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"

title
string
Example:

"How to turn stories into posts"

url
string<uri>
status
string
Example:

"new"

createdAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"

updatedAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"